import { Component, OnInit } from '@angular/core';
import { NavController } from '@ionic/angular';
// import Swiper from 'swiper';
import { Router } from '@angular/router';

@Component({
  selector: 'app-smovies',
  templateUrl: './smovies.page.html',
  styleUrls: ['./smovies.page.scss'],
})
export class SMoviesPage implements OnInit {

  constructor(private navCtrl: NavController,private router: Router) {}

  search() {
    this.router.navigate(['/search']); // 替换成你的 setting 页面路由路径
  }

  goToBlankPage() {
    // 导航到空白页面
    console.log('Navigating to Blank page');
  }

  firstCol: HTMLElement |null = null;

  filterByCategory(event: any) {
    const selectedCol = event.target;
    const allCols = document.querySelectorAll('ion-col');
    
    if (!this.firstCol) {
      this.firstCol = document.querySelector('ion-col:first-child');
      if (this.firstCol) {
        this.firstCol.classList.add('blue');
      }
    } else if (this.firstCol) {
      this.firstCol.classList.remove('blue');
    }

    allCols.forEach(col => col.classList.remove('blue'));
    selectedCol.classList.add('blue');
    this.firstCol = selectedCol;
  }

  


  ngOnInit() {}
}
